apiVersion: network.openstack.org/v1beta1
kind: NetConfig
metadata:
  name: openstacknetconfig
  namespace: openstack
spec:
  networks:
  - name: CtlPlane
    dnsDomain: ctlplane.cflab6.cfz4.jio.indradhanus.com
    # apps.cflab6.cfz4.jio.indradhanus.com
    mtu: 9000
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 2405:0200:5f02:c391:900:900::250
        start: 2405:0200:5f02:c391:900:900::100
      cidr: 2405:0200:5f02:c391::/64
      gateway: '2405:0200:5f02:c391::1'
      vlan: 391
  - name: InternalApi
    dnsDomain: internalapi.cflab6.cfz4.jio.indradhanus.com
    mtu: 9000
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 2405:0200:5f02:c396:900:900::250
        start: 2405:0200:5f02:c396:900:900::100
      cidr: 2405:0200:5f02:c396::/64
      vlan: 396
  - name: Storage
    dnsDomain: storage.cflab6.cfz4.jio.indradhanus.com
    mtu: 9000
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 2405:0200:5f02:c395:900:900::250
        start: 2405:0200:5f02:c395:900:900::100
      cidr: 2405:0200:5f02:c395::/64
      vlan: 395
  - name: Tenant
    dnsDomain: tenant.cflab6.cfz4.jio.indradhanus.com
    mtu: 9000
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 2405:0200:5f02:c394:900:900::250
        start: 2405:0200:5f02:c394:900:900::106
      cidr: 2405:0200:5f02:c394::/64
      vlan: 394
